Twitter Followers API - Get a User's Followers
FetchLayer fetchlayer.dev Sign in

Fetch followers list

Retrieve follower accounts for a user with the same profile metadata shape as the following endpoint.

POST /followers Network
https://api.fetchlayer.dev/twitter/followers
OpenAPI JSON

Headers

Authorization string required

Bearer token — your FetchLayer API key.

Parameters

handle string required

Twitter handle without @.

count number optional

Number of accounts (max 100). (default: 25)

cursor string optional

Pagination cursor.

Response Fields

followers

Fetch followers list

users[].handle string

User handle.

users[].displayName string

Display name.

users[].description string

Bio text.

users[].isVerified boolean

Verification status.

users[].followersCount number

Follower count.

users[].avatarUrl string

Profile image URL.

cursor string

Pagination cursor.

Request

curl -X POST "https://api.fetchlayer.dev/twitter/followers" \
  -H "Authorization: Bearer ss-your-key" \
  -H "Content-Type: application/json" \
  -d '{"handle":"sama","count":2}'

Response

{
  "users": [
    {
      "handle": "karpathy",
      "displayName": "Andrej Karpathy",
      "description": "Building @EurekaLabsAI. Previously: Director of AI @Tesla, founding team @OpenAI, CS PhD @Stanford.",
      "isVerified": true,
      "followersCount": 1100000,
      "avatarUrl": "https://pbs.twimg.com/profile_images/karpathy_normal.jpg"
    },
    {
      "handle": "ylecun",
      "displayName": "Yann LeCun",
      "description": "Professor at NYU. Chief AI Scientist at Meta. Turing Award. Researcher in AI, Machine Learning, Robotics, etc.",
      "isVerified": true,
      "followersCount": 850000,
      "avatarUrl": "https://pbs.twimg.com/profile_images/ylecun_normal.jpg"
    }
  ],
  "cursor": "DAABCgABF8zK9v__-Z3"
}